Subject: Re: [regext] org extensions for transfer requirement

From: Patrick Mevzek <[email-masked]>
Date: Thu, 28 Dec 2017 06:46:45 +0100

Hello James,

On Wed, Nov 22, 2017, at 20:11, Gould, James wrote:

> As noted previously on the list, we have a propriatary Whois Info EPP 
> Extension 
> (https://www.verisign.com/assets/epp-sdk/verisign_epp-extension_whois-info_v01.html) 
> that provides the basics of the Registrar WHOIS Server, Registrar Name, 
> and the Registrar URL attributes.  The org extensions can be extended to 
> provide additional registrar-level attributes in support of the transfer 
> policy.
> 
> Thoughts?

While I can see the train of thoughts (and while I completely sympathize
with the idea that the current procedure to do transfers is illogical on an high
scale even if all small parts are logical), I really do not think that the "org"
extension would be a good fit to simplify current problems in transfer procedure,
for various reasons:

1) it would mean adding some fields to each organization, that would make
sense only for a registrar "role" organization, not for all organization objects;
thus these fields would be very seldom populated, and it would make the schema
not robust (it would be hard to define it in such a way that such elements
are allowed if type=registrar but not with other types)
I also remember that this extension was never defined at the beginning for registrars
but for resellers

2) from what I recall, there was never a strong support from registrars for this
reseller/org extension, as the goal and benefit/drawback comparison was not tilted
in the good direction; if suddenly this extension becomes mandatory to conduct
transfers, it means registrars would be forced to implement it even if it has
a far broader scope than just enabling domain transfers

3) as you state yourself, Verisign already has an extension tailored to that specific need
for transfers, and I would far much prefer that this narrowly defined extension gets standardized and used
for this specific need instead of trying to bolt the feature onto something that looks
close to it but is definitely going after other goals.

Part of the current problems in the transfer procedure are in fact not
technical but policy related (for example if you come to think about it, registrar R accredited in TLD X, Y and Z would probably have the exact same data as an organization in TLD X, Y and Z databases, or at least its whois server as I doubt registrar will define different whois servers they operate for each TLD they are in; so why is there a need to create this registrar structure in so many TLDs database where only one of them would be enough?).
In such cases, no technical solution would make
things better, so I believe the "org" extension not to be a good fit for that
endeavour, and I advise not modifying it in that direction.

-- 
  Patrick Mevzek